Edushade Docs
Cohorts

Create Cohort

POST
/admin/learning/cohorts
AuthorizationBearer <token>

In: header

descriptionstring
Default"Intensive machine learning program for fall semester"
end_datestring
Default"2024-12-15T23:59:59Z"
instructor_idsarray<string>
live_class_daysarray<string>
live_class_end_timeinteger
Default720
live_class_start_timeinteger
Default600
max_enrollmentinteger
Default50
program_idstring
Default"{{program_id}}"
program_typestring
Default"course"
start_datestring
Default"2024-09-01T00:00:00Z"
statusstring
Default"draft"
thumbnailstring
Default"https://example.com/thumbnails/ml-cohort.jpg"
Formaturi
titlestring
Default"Fall 2024 Machine Learning Cohort"

Response Body

curl -X POST "https://edushade.com/api/v1/admin/learning/cohorts" \
  -H "Content-Type: application/json" \
  -d '{
    "description": "Intensive machine learning program for fall semester",
    "end_date": "2024-12-15T23:59:59Z",
    "instructor_ids": [
      "string"
    ],
    "live_class_days": [
      "string"
    ],
    "live_class_end_time": 720,
    "live_class_start_time": 600,
    "max_enrollment": 50,
    "program_id": "{{program_id}}",
    "program_type": "course",
    "start_date": "2024-09-01T00:00:00Z",
    "status": "draft",
    "thumbnail": "https://example.com/thumbnails/ml-cohort.jpg",
    "title": "Fall 2024 Machine Learning Cohort"
  }'
{}
Empty
Empty
Empty